require 'blackbook_client/version'
require 'trade_service'
require 'vin_service'
require 'chromedata_service'
require 'autocomplete_service'
require 'uvc_service'
require 'httparty'

class BlackbookClient
  extend VinService
  extend ChromedataService
  extend TradeService
  extend AutocompleteService
  extend UVCService

  class << self
    attr_accessor :username, :password
  end
end
