module UvcMapper
  def self.map_fields(response)
    return {} unless response&.dig('used_vehicles', 'used_vehicle_list')
    vehicle_range = response['used_vehicles']['used_vehicle_list'][0]

    return {
      uvc: vehicle_range['uvc']
    }
  end
end